Bug 397918 - Sort the favorite reports on the home screen in alphabetical order
Summary: Sort the favorite reports on the home screen in alphabetical order
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: reports (show other bugs)
Version: git (master)
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-27 07:06 UTC by Thomas Baumgart
Modified: 2021-05-01 11:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Baumgart 2018-08-27 07:06:55 UTC
The user wants to sort the order in which the (favorite) reports are listed in the report view. See https://forum.kde.org/viewtopic.php?f=69&t=153579 for the initial question.
Comment 1 Thomas Baumgart 2021-02-20 09:33:20 UTC
Git commit d8c65d062d602e3512d845eaad76a440078cff28 by Thomas Baumgart, on behalf of Alexander Maret-Huskinson.
Committed on 20/02/2021 at 09:33.
Pushed by tbaumgart into branch 'master'.

Sort favorite reports on home screen by name

The favorite reports on the home view were shown in the order
the reports were created which is not ideal and confusing.

This change sorts the list of favorite reports on the home
view in alphabetical order.

M  +3    -0    kmymoney/views/khomeview_p.h

https://invent.kde.org/office/kmymoney/commit/d8c65d062d602e3512d845eaad76a440078cff28
Comment 2 Thomas Baumgart 2021-02-20 13:16:32 UTC
Git commit 88b697e9dc4f87545dc55cbda6ff37034672a90f by Thomas Baumgart.
Committed on 20/02/2021 at 13:16.
Pushed by tbaumgart into branch '5.1'.

Sort favorite reports on home screen by name

The favorite reports on the home view were shown in the order
the reports were created which is not ideal and confusing.

This change sorts the list of favorite reports on the home
view in alphabetical order.
FIXED-IN: 5.1.2

(cherry picked from commit d8c65d062d602e3512d845eaad76a440078cff28)

M  +3    -0    kmymoney/views/khomeview_p.h

https://invent.kde.org/office/kmymoney/commit/88b697e9dc4f87545dc55cbda6ff37034672a90f